#ifndef __breakout_h__
#define __breakout_h__

#include "vector.h"

// Structs
typedef struct ballStruct {
    Vector Location, Momentum;
    SDL_Rect TargetRect;
} Ball;

typedef struct paddleStruct {
    double XLocation;
    SDL_Rect TargetRect;
} Paddle;

typedef struct blockStruct {
    Vector Location;
    SDL_Rect TargetRect;
} Block;

typedef struct powerupStruct { // Maybe implement later
    Vector Location;
    SDL_Rect TargetRect;
} Powerup;
// End Structs

// Prototypes
void BREAKOUT_INITIALIZE(SDL_Renderer * renderer, int width, int height);
void BREAKOUT_GAMELOOP(Uint8 * keystate);
void BALL_DRAW(Ball * ball);
void BREAKOUT_DEINITIALIZE(SDL_Renderer * renderer, int width, int height);
// End Prototypes

#endif // __breakout_h__
